Bug 768086 - [RFE] minssf should not apply to rootdse
Summary: [RFE] minssf should not apply to rootdse
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.2
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On: 746758
Blocks: 690319 803836
TreeView+ depends on / blocked
 
Reported: 2011-12-15 17:42 UTC by Nathan Kinder
Modified: 2018-11-27 20:14 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Enhancement
Doc Text:
Cause: LDAP clients wanting to query the root DSE to get some basic information about the directory server without having to use TLS/SSL. Consequence: If the directory server were configured to require TLS/SSL connections, clients were prohibited from querying the root DSE without using SSL/TLS. Change: Introduced a on/off type config attribute to cn=config: nsslapd-minssf-exclude-rootdse by default, the value is off. when it is off, the server's behavior remains intact. when it is on, the server allows to access rootdse even if the ssf value is less than nsslapd-minssf value. Result: LDAP clients can read the root DSE without using TLS/SSL even if the rest of the server requires TLS/SSL.
Clone Of: 746758
Environment:
Last Closed: 2012-06-20 07:11:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Comment 2 Rich Megginson 2012-01-09 19:47:16 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/168

Comment 4 Jenny Severance 2012-04-09 14:26:02 UTC
QE automation complete for this feature

Comment 5 Rich Megginson 2012-05-24 22:21:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: LDAP clients wanting to query the root DSE to get some basic information about the directory server without having to use TLS/SSL.
Consequence: If the directory server were configured to require TLS/SSL connections, clients were prohibited from querying the root DSE without using SSL/TLS.
Change: Introduced a on/off type config attribute to cn=config:
    nsslapd-minssf-exclude-rootdse
by default, the value is off.
when it is off, the server's behavior remains intact.
when it is on, the server allows to access rootdse even if
    the ssf value is less than nsslapd-minssf value.
Result: LDAP clients can read the root DSE without using TLS/SSL even if the rest of the server requires TLS/SSL.

Comment 6 errata-xmlrpc 2012-06-20 07:11:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.